### Method

# GtkSource SearchSettings set_visible_only

since: 5.12

#### Declaration [src]

    void
    gtk_source_search_settings_set_visible_only (
      GtkSourceSearchSettings* settings,
      gboolean visible_only
    )

#### Description [src]

Enables or disables whether to exclude invisible text from the search.

If enabled, only visible text will be searched. A search match may have invisible text interspersed.

Available since: 5.12

Sets property | `GtkSource.SearchSettings:visible-only`

#### Parameters

`visible_only`

  Type: `gboolean`

  The setting.